Get All Offramps
curl --request GET \
--url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bullring.finance/v2/ramp/{subaccountId}/banking/offramp/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "01994502-c69b-450a-bff1-1982ed7e2901",
"type": "offramp",
"status": "pending",
"created_at": "2026-01-29T00:38:40.168Z",
"account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
"client_offramp_reference": "5a26b319-fc68-4ee2-83f2-198895716122",
"from": {
"amount": "13000",
"asset": "stablesats",
"network": "lightning",
"address": "lntbs1464530n1p5h4tq0pp56d0ncwgksp522zjhd9plr33wddgy6clc4x3gqt65jjwu37kk559sdqqcqzpuxqzfvsp57kraxsqqjle9xakp02ex8h79qpyydrqr08xa3d9mf2vlj8pj29rs9qxpqysgqyuuwepsa5r7wkv4sd0ce7ukzn07m3wnjtl9qsd5lu3lurrp4a8xsg79wdzksk4dj4zzvffq0kjeyw6e53st5vuca4kgke5yr6nf2fdcq9k2ktn"
},
"to": {
"currency": "brl",
"gross_amount": "674.79",
"net_amount": "672.09",
"recipient_id": "979a654b-cf63-4302-8bb2-060918949331"
},
"pricing": {
"fx_rate": "5.1906978",
"fees": {
"offramp_fee": "2.7",
"offramp_fee_currency": "brl"
}
},
"settlement": {
"withdrawal_id": null,
"estimated_at": null,
"end_to_end_id": "E3513612020260128160900000066552"
}
},
{
"id": "f7ffc6d9-eb45-400e-af86-a4de4a9357f1",
"type": "offramp",
"status": "completed",
"created_at": "2026-01-28T16:31:20.002Z",
"account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
"client_offramp_reference": "5a26b319-fc68-4ee2-83f2-19889571618a",
"from": {
"amount": "130",
"asset": "USDC",
"network": "SOL-DEVNET",
"address": "ATCfujGip9Mxu2Aa778qXeQXocNVHqTSgiBZSnM1eMzY"
},
"to": {
"currency": "BRL",
"gross_amount": "675.36",
"net_amount": "672.66",
"recipient_id": "979a654b-cf63-4302-8bb2-060918949331"
},
"pricing": {
"fx_rate": "5.195089",
"fees": {
"offramp_fee": "2.7",
"offramp_fee_currency": "brl"
}
},
"settlement": {
"withdrawal_id": "1a8e489f-f2b5-4916-bee5-e65dd999ac4e",
"estimated_at": "2026-01-28T16:32:10.524Z",
"end_to_end_id": "E3513612020260128163100000066555"
}
}
],
"count": 2,
"page": 1,
"limit": 20,
"totalPages": 1
}Offramp
Get All Offramps
Retrieve a list of crypto withdrawals via offramp for a subaccount.
GET
/
v2
/
ramp
/
{subaccountId}
/
banking
/
offramp
/
Get All Offramps
Authorizations
Path Parameters
Query Parameters
Page number for pagination
Number of items per page
⌘I